RDKit: RDKit::GeneralMolSupplier Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Functions | Variables
RDKit::GeneralMolSupplier Namespace Reference

## Classes
struct | SupplierOptions

## Functions
void | determineFormat (const std::string path, std::string &fileFormat, std::string &compressionFormat)
std::unique_ptr< FileParsers::MolSupplier > | getSupplier (const std::string &path, const struct SupplierOptions &opt)

## Variables
const std::vector< std::string > | supportedFileFormats
| current supported file formats
const std::vector< std::string > | supportedCompressionFormats {"gz"}
| current supported compression formats

## Function Documentation

## ◆ determineFormat()

void RDKit::GeneralMolSupplier::determineFormat | ( | const std::string | path,
|  | std::string & | fileFormat,
|  | std::string & | compressionFormat )
| inline

given file path determines the file and compression format returns true on success, otherwise false Note: Error handeling is done in the getSupplier method

filename without compression format

Special case maegz. NOTE: also supporting case-insensitive filesystems

Definition at line 54 of file GeneralFileReader.h.

References supportedFileFormats.

Referenced by getSupplier().

## ◆ getSupplier()

std::unique_ptr< FileParsers::MolSupplier > RDKit::GeneralMolSupplier::getSupplier | ( | const std::string & | path,
|  | const struct SupplierOptions & | opt )
| inline

returns a new MolSupplier object based on the file name instantiated with the relevant options provided in the SupplierOptions struct

Note:

- the caller owns the memory and therefore the pointer must be deleted

get the file and compression format form the path

Dispatch to the appropriate supplier

Definition at line 98 of file GeneralFileReader.h.

References RDKit::GeneralMolSupplier::SupplierOptions::confId2D, RDKit::GeneralMolSupplier::SupplierOptions::confId3D, RDKit::GeneralMolSupplier::SupplierOptions::delimiter, determineFormat(), RDKit::getNumThreadsToUse(), RDKit::GeneralMolSupplier::SupplierOptions::nameColumn, RDKit::GeneralMolSupplier::SupplierOptions::nameRecord, RDKit::GeneralMolSupplier::SupplierOptions::numWriterThreads, RDKit::GeneralMolSupplier::SupplierOptions::removeHs, RDKit::GeneralMolSupplier::SupplierOptions::sanitize, RDKit::GeneralMolSupplier::SupplierOptions::smilesColumn, RDKit::GeneralMolSupplier::SupplierOptions::strictParsing, and RDKit::GeneralMolSupplier::SupplierOptions::titleLine.

## Variable Documentation

## ◆ supportedCompressionFormats

const std::vector<std::string> RDKit::GeneralMolSupplier::supportedCompressionFormats {"gz"}

current supported compression formats

Definition at line 48 of file GeneralFileReader.h.

## ◆ supportedFileFormats

const std::vector<std::string> RDKit::GeneralMolSupplier::supportedFileFormats

Initial value:
{
"sdf", "mae", "maegz", "sdfgz", "smi", "csv", "txt", "tsv", "tdt"}

current supported file formats

Definition at line 45 of file GeneralFileReader.h.

Referenced by determineFormat().